Package com.ngrok.services

# Class EventDestinations

java.lang.Object
com.ngrok.services.EventDestinations

public class EventDestinations extends Object
An API client for `EventDestinations`. See also https://ngrok.com/docs/api#api-event-destinations.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `EventDestinations.CreateCallBuilder`
  A builder object encapsulating state for an unsent Create API call.
  `class`
  `EventDestinations.DeleteCallBuilder`
  A builder object encapsulating state for an unsent Delete API call.
  `class`
  `EventDestinations.GetCallBuilder`
  A builder object encapsulating state for an unsent Get API call.
  `class`
  `EventDestinations.ListCallBuilder`
  A builder object encapsulating state for an unsent List API call.
  `class`
  `EventDestinations.UpdateCallBuilder`
  A builder object encapsulating state for an unsent Update API call.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EventDestinations(NgrokApiClient apiClient)`
  Creates a new sub-client for EventDestinations.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EventDestinations.CreateCallBuilder`
  `create()`
  Create a new Event Destination.
  `EventDestinations.DeleteCallBuilder`
  `delete(String id)`
  Delete an Event Destination.
  `EventDestinations.GetCallBuilder`
  `get(String id)`
  Get detailed information about an Event Destination by ID.
  `EventDestinations.ListCallBuilder`
  `list()`
  List all Event Destinations on this account.
  `EventDestinations.UpdateCallBuilder`
  `update(String id)`
  Update attributes of an Event Destination.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EventDestinations

    public EventDestinations(NgrokApiClient apiClient)
    Creates a new sub-client for EventDestinations.
    Parameters:
      `apiClient` - an instance of `NgrokApiClient`

- ## Method Details

  - ### create

    public EventDestinations.CreateCallBuilder create()
    Create a new Event Destination. It will not apply to anything until it is associated with an Event Stream, and that Event Stream is associated with an Endpoint Config. See also https://ngrok.com/docs/api#api-event-destinations-create.
    Returns:
      a call builder for this API call

  - ### delete

    public EventDestinations.DeleteCallBuilder delete(String id)
    Delete an Event Destination. If the Event Destination is still referenced by an Event Subscription. See also https://ngrok.com/docs/api#api-event-destinations-delete.
    Parameters:
      `id` - a resource identifier
    Returns:
      a call builder for this API call

  - ### get

    public EventDestinations.GetCallBuilder get(String id)
    Get detailed information about an Event Destination by ID. See also https://ngrok.com/docs/api#api-event-destinations-get.
    Parameters:
      `id` - a resource identifier
    Returns:
      a call builder for this API call

  - ### list

    public EventDestinations.ListCallBuilder list()
    List all Event Destinations on this account. See also https://ngrok.com/docs/api#api-event-destinations-list.
    Returns:
      a call builder for this API call

  - ### update

    public EventDestinations.UpdateCallBuilder update(String id)
    Update attributes of an Event Destination. See also https://ngrok.com/docs/api#api-event-destinations-update.
    Parameters:
      `id` - Unique identifier for this Event Destination.
    Returns:
      a call builder for this API call